diff -Naur roundcubemail-0.1beta/config/main.inc.php.dist roundcubemail.new/config/main.inc.php.dist
--- roundcubemail-0.1beta/config/main.inc.php.dist	2006-02-21 00:29:13.000000000 +0100
+++ roundcubemail.new/config/main.inc.php.dist	2006-02-23 15:28:07.614663680 +0100
@@ -171,5 +171,21 @@
 // show pretty dates as standard
 $rcmail_config['prettydate'] = TRUE;
 
+/*
+        Automatic add webserver domain and option to not let to connect with other domains
+				Author: Marco
+				Date: 23/02/2006
+				Mail: P0L0_notspam_binware.org
+*/
+//Automatic add @domain from webserver domain
+$rcmail_config['adddomain'] = TRUE;
+
+//Number of dots for domain
+$rcmail_config['adddomain_dots'] = 2;
+
+//Dont let login with different domains
+$rcmail_config['adddomain_dif'] = FALSE;
+/* End */
+
 // end of config file
-?>
\ No newline at end of file
+?>
diff -Naur roundcubemail-0.1beta/program/include/main.inc roundcubemail.new/program/include/main.inc
--- roundcubemail-0.1beta/program/include/main.inc	2006-02-21 00:29:13.000000000 +0100
+++ roundcubemail.new/program/include/main.inc	2006-02-23 15:31:08.237204880 +0100
@@ -365,7 +365,42 @@
   {
   global $CONFIG, $IMAP, $DB, $sess_user_lang;
   $user_id = NULL;
-  
+ 
+ 	/*
+	  Automatic add webserver domain and option to not let to connect with other domains
+		Author: Marco
+		Date: 23/02/2006
+		Mail: P0L0_notspam_binware.org
+	*/
+ 	//Check if we need to add mail
+ 	if ($CONFIG['adddomain'])
+	{
+		//Save domain
+		$addTempDomain = explode('.', $_SERVER['HTTP_HOST']);
+		$addDomain = '';
+		for ($i=0;$i<$CONFIG['adddomain_dots'];$i++)
+			{
+			$addDomain = $addTempDomain[count($addTempDomain)-$i-1].".".$addDomain;
+			}
+		//Remove trailing dot
+		$addDomain = substr($addDomain, 0, strlen($addDomain)-1);
+		//Has the user supplied domain?
+		if (!ereg('@', $user))
+			{
+			$user = $user."@".$addDomain;
+			}
+		else if (!$CONFIG['adddomain_dif'])
+			{
+				//Check if the domain is correct
+				if ($addDomain != substr($user, strrpos($user, '@')+1))
+					{
+						return FALSE;
+					}
+			}
+	}
+	/* End */
+		
+ 
   if (!$host)
     $host = $CONFIG['default_host'];
 
